Table of Contents

Breaking Changes

The following sections provide more details on the breaking changes introduced for release 2023.9.0.

Alarms

The Alarm Alarm Type resource has been removed and a mandatory Alarm Type property has been added to Alarms.

Impacted Areas

API Method Path
AHM DELETE /Modules/AHM/Alarms/AlarmTypes/{id}
AHM DELETE /Modules/AHM/Alarms/AlarmTypes/Batch
AHM GET /Modules/AHM/Alarms/AlarmTypes/Lookups/LookupAlarmAlarmTypeAlarmType
AHM GET /Modules/AHM/Alarms/{alarmId}/AlarmAlarmType
AHM GET /Modules/AHM/Alarms/AlarmTypes
AHM GET /Modules/AHM/Alarms/AlarmTypes/{id}
AHM GET /Modules/AHM/Alarms/AlarmTypes/Batch/{ids}
AHM GET /Modules/AHM/Alarms/AlarmTypes/Lookups/LookupAlarmAlarmTypeAlarm
AHM GET /Modules/AHM/Alarms/AlarmTypes/AlarmTypes/Lookups/LookupAlarmAlarmTypeAlarmType
AHM GET /Modules/AHM/Alarms/AlarmTypes/AlarmTypes/Lookups/LookupAlarmAlarmTypeAlarmType
AHM POST /Modules/AHM/Alarms
AHM POST /Modules/AHM/Alarms/AlarmTypes
AHM POST /Modules/AHM/Alarms/AlarmTypes/Batch
AHM POST /Modules/AHM/Alarms/Batch

Context

Until now, Alarms could have more than one Alarm Type linked to them. This design has changed to have only one Alarm Type for an Alarm. Therefore the resource /AHM/Alarms/AlarmTypes no longer exists and a mandatory Alarm Type property has been added to Alarms.

User Defined Queries

The Entity Type property has been changed to an enumeration to limit the values to the list of values available within the enumeration.

Costing

Several endpoints originally defined on the Costing resource have now been moved to the specific resources which have Costing.

Impacted Areas

API Method Path
FIN GET /Modules/FIN/Costing/{workOrderTaskAdHocCostId}/WorkOrderTaskAdHocCost
FIN GET /Modules/FIN/Costing/{workOrderTaskResourceUsageId}/WorkOrderTaskResourceUsage
FIN GET /Modules/FIN/Costing/{assetConsumptionId}/AssetConsumption
FIN GET /Modules/FIN/Costing/{assetConsumptionId}/AssetConsumption
FIN GET /Modules/FIN/Costing/{assetConsumptionId}/AssetConsumption

Context

The endpoints above have now been replaced with the following new ones:

API Method Path
AMPC GET /Modules/AMPC/RegularAssets/Consumption/{assetConsumptionId}/Costing
AMPC GET /Modules/AMPC/InPlaceAssets/Consumption/{assetConsumptionId}/Costing
AMPC GET /Modules/AMPC/PlaceholderAssets/Consumption/{assetConsumptionId}/Costing
WM GET /Modules/WM/WorkOrders/Tasks/AdHocCosts/{workOrderTaskAdHocCostId}/Costing
WM GET /Modules/WM/WorkOrders/Tasks/Resources/Usages/{workOrderTaskResourceUsageId}/Costing